import { b2BroadPhase } from "../collision/b2_broad_phase";
import { b2Contact } from "./b2_contact";
import { b2ContactFactory } from "./b2_contact_factory";
import { b2FixtureProxy } from "./b2_fixture";
import { b2ContactFilter, b2ContactListener } from "./b2_world_callbacks";
/** Delegate of b2World. */
export declare class b2ContactManager {
    readonly m_broadPhase: b2BroadPhase<b2FixtureProxy>;
    m_contactList: b2Contact | null;
    m_contactCount: number;
    m_contactFilter: b2ContactFilter;
    m_contactListener: b2ContactListener;
    readonly m_contactFactory: b2ContactFactory;
    /** Broad-phase callback. */
    AddPair: (proxyA: b2FixtureProxy, proxyB: b2FixtureProxy) => void;
    FindNewContacts(): void;
    Destroy(c: b2Contact): void;
    /**
     * This is the top level collision call for the time step. Here
     * all the narrow phase collision is processed for the world
     * contact list.
     */
    Collide(): void;
}
//# sourceMappingURL=b2_contact_manager.d.ts.map