import { b2Vec2 } from "../common/b2_math";
/**
 * Profiling data. Times are in milliseconds.
 */
export declare class b2Profile {
    step: number;
    collide: number;
    solve: number;
    solveInit: number;
    solveVelocity: number;
    solvePosition: number;
    broadphase: number;
    solveTOI: number;
    Reset(): this;
}
export interface b2StepConfig {
    velocityIterations: number;
    positionIterations: number;
}
/**
 * This is an internal structure.
 */
export declare class b2TimeStep {
    dt: number;
    inv_dt: number;
    dtRatio: number;
    config: b2StepConfig;
    warmStarting: boolean;
    private constructor();
    static Create(): b2TimeStep;
    Copy(step: b2TimeStep): b2TimeStep;
}
/**
 * This is an internal structure.
 */
export declare class b2Position {
    readonly c: b2Vec2;
    a: number;
}
/**
 * This is an internal structure.
 */
export declare class b2Velocity {
    readonly v: b2Vec2;
    w: number;
}
/**
 * Solver Data
 */
export declare class b2SolverData {
    readonly step: b2TimeStep;
    positions: b2Position[];
    velocities: b2Velocity[];
}
//# sourceMappingURL=b2_time_step.d.ts.map